org.apache.ignite.internal.processors.hadoop

## Interface HadoopMapReducePlan

All Superinterfaces:
  Serializable

    public interface HadoopMapReducePlan
    extends Serializable

Map-reduce job execution plan.

### Method Summary

Methods
`Collection<UUID>` `mapperNodeIds()` Gets collection of all node IDs involved in map part of job execution.
`int` `mappers()` Gets overall number of mappers for the job.
`Collection<HadoopInputSplit>` `mappers(UUID nodeId)` Gets collection of file blocks for which mappers should be executed.
`UUID` `nodeForReducer(int reducer)` Gets node ID for reducer.
`Collection<UUID>` `reducerNodeIds()` Gets collection of all node IDs involved in reduce part of job execution.
`int` `reducers()` Gets overall number of reducers for the job.
`int[]` `reducers(UUID nodeId)` Gets reducer IDs that should be started on given node.

### Method Detail

#### mappers

    @Nullable
    Collection<HadoopInputSplit> mappers(UUID nodeId)

Gets collection of file blocks for which mappers should be executed.

Parameters:
  `nodeId` - Node ID to check.
Returns:
  Collection of file blocks or `null` if no mappers should be executed on given node.

#### reducers

    @Nullable
    int[] reducers(UUID nodeId)

Gets reducer IDs that should be started on given node.

Parameters:
  `nodeId` - Node ID to check.
Returns:
  Array of reducer IDs.

#### mapperNodeIds

    Collection<UUID> mapperNodeIds()

Gets collection of all node IDs involved in map part of job execution.

Returns:
  Collection of node IDs.

#### reducerNodeIds

    Collection<UUID> reducerNodeIds()

Gets collection of all node IDs involved in reduce part of job execution.

Returns:
  Collection of node IDs.

#### mappers

    int mappers()

Gets overall number of mappers for the job.

Returns:
  Number of mappers.

#### reducers

    int reducers()

Gets overall number of reducers for the job.

Returns:
  Number of reducers.

#### nodeForReducer

    UUID nodeForReducer(int reducer)

Gets node ID for reducer.

Parameters:
  `reducer` - Reducer.
Returns:
  Node ID.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015